---
title: Update
url: https://www.tines.com/docs/api/cases/case_statuses/update/
updated: 2026-06-15T08:41:59+00:00
description: Update a case status.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Case statuses](https://www.tines.com/llm/docs/api/cases/case_statuses.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/cases/case_statuses/update/)*

## Description

Update a case status.

## Request

HTTP Method: **PUT**

| Path Parameter     | Description                          |
| ------------------ | ------------------------------------ |
| case_sub_status_id | The ID of the case status to update. |

| Body Parameter | Description                            |
| -------------- | -------------------------------------- |
| name           | **Optional** Updated case status name. |
| description    | **Optional** Updated description.      |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v1/case_sub_statuses/<<case_sub_status_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "In triage",
        "description": "Cases currently being reviewed."
      }'
```

## Response

A successful request will return a JSON object describing the updated case status.

### Field description

| Parameter     | Description                                                                                                       |
| ------------- | ----------------------------------------------------------------------------------------------------------------- |
| id            | Case status ID.                                                                                                   |
| name          | Case status name.                                                                                                 |
| slug          | A human-readable identifier for the status, auto-generated from the name. Updating the name regenerates the slug. |
| description   | Case status description, or `null` if none is set.                                                                |
| parent_status | The parent status the status belongs to: `OPEN` or `CLOSED`.                                                      |
| default       | Whether this is the default status for its parent status.                                                         |
| team          | An object containing the `id` of the team the status belongs to.                                                  |
| created_at    | ISO 8601 timestamp describing when the status was created.                                                        |
| updated_at    | ISO 8601 timestamp describing when the status was last updated.                                                   |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 41,
  "name": "In triage",
  "slug": "in_triage",
  "description": "Cases currently being reviewed.",
  "parent_status": "OPEN",
  "default": false,
  "team": {
    "id": 1
  },
  "created_at": "2026-04-10T09:15:42.128Z",
  "updated_at": "2026-04-10T11:04:03.772Z"
}
```

<!-- cspell:enable -->
